Subject: Heart Question

From: MS SALLY O LEVINSON <[email-masked]>
Date: Mon, 22 Jul 1996 10:58:37 -0500

If I remember correctly from a class taken 20 years ago, yes, insects,
 including butterfies have hearts.  It is a simple single-chambered
vessel that pumps haemolymph (blood) from the abdomen toward the head.
  Then the blood just kind of mooshes around.  No arteries or veins
or capillaries.  Very simple circulatory system.  And the oxygen
supply is entirely separate.  --Sally